declare function primevue4(): {
    uiName: string;
    lib: string;
    map: ({
        name: string;
        props: {};
        events: never[];
        slots: never[];
        suggestions: never[];
        link: string;
        methods: never[];
    } | {
        name: string;
        props: {
            dt: {
                default: string;
                description: string;
                description_zh: string;
                type: string;
                value: string;
                required: boolean;
            };
            pt: {
                default: string;
                description: string;
                description_zh: string;
                type: string;
                value: string;
                required: boolean;
            };
            ptOptions: {
                default: string;
                description: string;
                description_zh: string;
                type: string;
                value: string;
                required: boolean;
            };
        };
        events: never[];
        slots: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: never[];
        link: string;
        methods: never[];
    })[];
    dynamicLib: string;
};
declare function primevue4Components(): {
    map: ((string | {
        name: string;
        props: {};
        events: never[];
        slots: never[];
        suggestions: never[];
        link: string;
        methods: never[];
    })[] | (string | {
        name: string;
        props: {
            dt: {
                default: string;
                description: string;
                description_zh: string;
                type: string;
                value: string;
                required: boolean;
            };
            pt: {
                default: string;
                description: string;
                description_zh: string;
                type: string;
                value: string;
                required: boolean;
            };
            ptOptions: {
                default: string;
                description: string;
                description_zh: string;
                type: string;
                value: string;
                required: boolean;
            };
        };
        events: never[];
        slots: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: never[];
        link: string;
        methods: never[];
    })[])[];
    isSeperatorByHyphen: boolean;
    prefix: string;
    isReact: boolean;
    lib: string;
    dynamicLib: string;
    importWay: string;
};

export { primevue4, primevue4Components };
